
Figure - Bug #111986
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】切换深色模式、调节字体大小之后会闪退
2022-09-15 17:24 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-15

Priority: Normal Due date: 2022-09-21

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220915.alpha_0015

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

无

【测试步骤】

1、进入设置 -显示

2、打开深色模式

3、调节字体大小

【预期结果】

2、直接进入深色模式

3、字体大小随调节发生改变

【实际结果】

2、点击开启深色模式按钮后，闪退至主界面

3、调节字体大小后，闪退至主界面

【复现率】

必现

History

#1 - 2022-09-16 09:57 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-09-21 16:20 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#3 - 2022-09-21 16:23 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 80

- Resolution changed from -- to FIXED

■ Current conclusion

问题已经通过代码修复
■ My analysis

选择字体或者主题模式后，重走生命周期时，为作判空处理，导致carsh

■Next Action

本地修改验证

#4 - 2022-09-21 16:25 - CD AF-陈羽杰

- Due date set to 2022-09-21

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 80 to 100

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

问题已经通过代码修复

■ My analysis

切换主题或者字体后，生命周期重走，prefence 为空，导致crash

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/150404

#5 - 2022-09-23 10:21 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2022-09-23 10:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150404 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com
